
function CreateGrants()
	CreatePhonefactory()
	CreatePhonesProduction()
end

function CreatePhonefactory()
	Objective.CreateGrant			( "Grant_PhoneFactory", 4000, 25000 )
	Objective.SetPreRequisite		( "Unlocked", "SmartPhones", 0 )
    Objective.SetPreRequisite       ( "Completed", "Grant_PrisonerWorkforce", 1 )
    Objective.HiddenWhileLocked     ()
		
	Objective.CreateGrant			( "Grant_PhoneFactory_PhoneFactoryRoom", 0, 0 )
	Objective.SetParent				( "Grant_PhoneFactory" )
	Objective.RequireRoom			( "PhoneWorkshop", true )
	
	Objective.CreateGrant			( "Grant_PhoneFactory_PhoneTableNumber", 0, 0 )
	Objective.SetParent				( "Grant_PhoneFactory" )
	Objective.RequireObjects		( "PhoneTable", 4 )
	
	Objective.CreateGrant			( "Grant_PhoneFactory_ProgramPassed", 0, 0 )
	Objective.SetParent				( "Grant_PhoneFactory" )
	Objective.Requires				( "ReformPassed", "PhoneAssembly", 2 )
end

function CreatePhonesProduction()
	Objective.CreateGrant			( "Grant_PhoneFactory_Production", 5000, 25000 )
	Objective.SetPreRequisite		( "Unlocked", "SmartPhones", 0 )
    Objective.SetPreRequisite       ( "Completed", "Grant_PhoneFactory", 0 )
    Objective.HiddenWhileLocked     ()
	
	Objective.CreateGrant			( "Grant_PhoneFactory_Production_PhoneFactoryAssigned", 0, 0 )
	Objective.SetParent				( "Grant_PhoneFactory_Production")
	Objective.Requires				( "PrisonerJobs", "PhoneWorkshop", 4 )
	
	Objective.CreateGrant			( "Grant_PhoneFactory_Production_PhonesProduction", 0, 5000 )
	Objective.SetParent				( "Grant_PhoneFactory_Production")
	Objective.RequireManufactured 	( "AssembledSmartPhone", 100 )
end
